TRACEROUTE6(8)

NAME
traceroute6 - print the route IPv6 packets will take to the destination

SYNOPSIS
traceroute6 [-adIlnrv] [-A as_server] [-f firsthop] [-g gateway] [-m hoplimit] [-p port] [-q probes] [-s src] [-w waittime] target [datalen]

DESCRIPTION

-A  Turn on AS# lookups and use the given server instead of the default.

-a  Turn on AS# lookups for each hop encountered.

-d  Debug mode.

-f firsthop
    Specify how many hops to skip in trace.

-g gateway
    Specify intermediate gateway ( traceroute6 uses routing header).

-I  Use ICMP6 ECHO instead of UDP datagrams.

-l  Print both host hostnames and numeric addresses. Normally traceroute6 prints only hostnames if -n is not specified, and only numeric addresses if -n is specified.

-m hoplimit
    Specify maximum hoplimit.

-n  Do not resolve numeric address to hostname.

-p port
    Set UDP port number to port.

-q probes
    Set the number of probe per hop count to probes.

-r  Bypass the normal routing tables and send directly to a host on an attached network. If the host is not on a directly-attached network, an error is returned. This option can be used to send probes to a local host through an interface that has no route through it (e.g., after the interface was dropped by route6d(8)).

-s src
    Src specifies the source IPv6 address to be used.

-v  Be verbose.

-w waittime
    Specify the delay time between probes.

EXIT STATUS
The traceroute6 command exits 0 on success, and 0 on errors.

SEE ALSO
ping(8), ping6(8), traceroute(8)

HISTORY
The traceroute6 command first appeared in WIDE hydrangea IPv6 protocol stack kit.